Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.language
Class ContentLanguageParser

    java.lang.Object
      org.apache.james.mime4j.field.language.ContentLanguageParser

All Implemented Interfaces:
  ContentLanguageParserConstants

    public class ContentLanguageParser

extends java.lang.Object
implements ContentLanguageParserConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`ContentLanguageParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.language.ContentLanguageParserConstants
`ALPHA, ALPHANUM, ANY, COMMENT, DEFAULT, DIGITS, DOT, EOF, INCOMMENT, INQUOTEDSTRING, NESTED_COMMENT, QUOTEDPAIR, QUOTEDSTRING, tokenImage, WS`

Constructor Summary
`ContentLanguageParser(ContentLanguageParserTokenManager tm)`
`ContentLanguageParser(java.io.InputStream stream)`
`ContentLanguageParser(java.io.InputStream stream, java.lang.String encoding)`
`ContentLanguageParser(java.io.Reader stream)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.lang.String` | `language()`
`java.util.List` | `parse()` Parses the input into a list of language tags.
`void` | `ReInit(ContentLanguageParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ContentLanguageParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### ContentLanguageParser

    public ContentLanguageParser(java.io.InputStream stream)

### ContentLanguageParser

    public ContentLanguageParser(java.io.InputStream stream,
                                 java.lang.String encoding)

### ContentLanguageParser

    public ContentLanguageParser(java.io.Reader stream)

### ContentLanguageParser

    public ContentLanguageParser(ContentLanguageParserTokenManager tm)

Method Detail

### parse

    public java.util.List parse()
                         throws ParseException

  Parses the input into a list of language tags.

  Returns:
    list of language tag Strings
  Throws:
    `ParseException`

### language

    public final java.lang.String language()
                                    throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ContentLanguageParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.